package de.avatic.lcc.dto.calculation.edit.masterData;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.DimensionDTO;
import jakarta.validation.constraints.Min;

import java.util.List;

public class PackagingUpdateDTO {

    @JsonProperty("handling_unit")
    private DimensionDTO dimensions;

    @JsonProperty("is_mixable")
    private Boolean isMixable;

    @JsonProperty("is_stackable")
    private Boolean isStackable;

    @JsonProperty("premise_ids")
    private List<@Min(value = 1, message = "Invalid value for premise id. Must be equal to 1 or greater") Integer> premiseIds;

    public DimensionDTO getDimensions() {
        return dimensions;
    }

    public void setDimensions(DimensionDTO dimensions) {
        this.dimensions = dimensions;
    }

    public Boolean getMixable() {
        return isMixable;
    }

    public void setMixable(Boolean mixable) {
        isMixable = mixable;
    }

    public Boolean getStackable() {
        return isStackable;
    }

    public void setStackable(Boolean stackable) {
        isStackable = stackable;
    }

    public List<Integer> getPremiseIds() {
        return premiseIds;
    }

    public void setPremiseIds(List<Integer> premiseIds) {
        this.premiseIds = premiseIds;
    }
}
